/**
 * Copyright (C) 2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.jorm.mapper.rdb.adapter.api;

/**
 *
 * @author S.Chassande-Barrioz
 */
public interface ValueAsSQLStringAdapter {
	/**
	 * This method returns a String value that represents a value. This method
	 * can be used for the constant parameters of SQL queries.
	 * @param value
	 * @param typeCode is the java type of the value
	 */
	String getValueAsSQLString(Object value, int typeCode);

	/**
	 * This method returns a String value that represents a boolean value. This
	 * method can be used for the constant parameters of SQL queries.
	 */
	String getValueAsSQLString(boolean value);

	/**
	 * This method returns a String value that represents a byte value. This
	 * method can be used for the constant parameters of SQL queries.
	 */
	String getValueAsSQLString(byte value);

	/**
	 * This method returns a String value that represents a char value. This
	 * method can be used for the constant parameters of SQL queries.
	 */
	String getValueAsSQLString(char value);

	/**
	 * This method returns a String value that represents a short value. This
	 * method can be used for the constant parameters of SQL queries.
	 */
	String getValueAsSQLString(short value);

	/**
	 * This method returns a String value that represents a int value. This
	 * method can be used for the constant parameters of SQL queries.
	 */
	String getValueAsSQLString(int value);

	/**
	 * This method returns a String value that represents a long value. This
	 * method can be used for the constant parameters of SQL queries.
	 */
	String getValueAsSQLString(long value);

	/**
	 * This method returns a String value that represents a float value. This
	 * method can be used for the constant parameters of SQL queries.
	 */
	String getValueAsSQLString(float value);

	/**
	 * This method returns a String value that represents a double value. This
	 * method can be used for the constant parameters of SQL queries.
	 */
	String getValueAsSQLString(double value);
}
